FreeMat

- Main Page
- Related Pages

vtkOpenGLDisplayListPainter

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpenGLDisplayListPainter creates an OpenGL display list for rendering. This painter creates a different display list for every render request with a different set of typeflags. If any of the data or inputs change, then all display lists are discarded.

To create an instance of class vtkOpenGLDisplayListPainter, simply invoke its constructor as follows

      obj = vtkOpenGLDisplayListPainter

# Methods

The class vtkOpenGLDisplayListPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLDisplayListPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLDisplayListPainter = obj.NewInstance ()`
- `vtkOpenGLDisplayListPainter = obj.SafeDownCast (vtkObject o)`
- `obj.ReleaseGraphicsResources (vtkWindow )` - Release any graphics resources that are being consumed by this mapper. The parameter window could be used to determine which graphic resources to release. In this case, releases the display lists.